package com.kingdee.eas.custom.handover;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.handover.app.*;

public class WorkHandoverEntry extends HRBillBaseEntry implements IWorkHandoverEntry
{
    public WorkHandoverEntry()
    {
        super();
        registerInterface(IWorkHandoverEntry.class, this);
    }
    public WorkHandoverEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IWorkHandoverEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("00E0263E");
    }
    private WorkHandoverEntryController getController() throws BOSException
    {
        return (WorkHandoverEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WorkHandoverEntryInfo getWorkHandoverEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHandoverEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WorkHandoverEntryInfo getWorkHandoverEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHandoverEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WorkHandoverEntryInfo getWorkHandoverEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHandoverEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WorkHandoverEntryCollection getWorkHandoverEntryCollection() throws BOSException
    {
        try {
            return getController().getWorkHandoverEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WorkHandoverEntryCollection getWorkHandoverEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWorkHandoverEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WorkHandoverEntryCollection getWorkHandoverEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getWorkHandoverEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}